curl -X POST "https://api.telzino.com/v1/resellers/reseller-123/organizations" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"orgName": "Acme Solar",
"external_id": "external-org-12345"
}'
const resellerId = 'reseller-123';
const response = await fetch(
`https://api.telzino.com/v1/resellers/${resellerId}/organizations`,
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
orgName: 'Acme Solar',
external_id: 'external-org-12345'
})
}
);
const organization = await response.json();
import requests
reseller_id = 'reseller-123'
response = requests.post(
f'https://api.telzino.com/v1/resellers/{reseller_id}/organizations',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'orgName': 'Acme Solar',
'external_id': 'external-org-12345'
}
)
organization = response.json()
{
"id": "org-abc12345-e89b-12d3-a456-426614174000",
"reseller_id": "reseller-123",
"name": "Acme Solar",
"external_id": "external-org-12345",
"created_at": "2024-01-15T10:30:00Z"
}
{
"error": "Invalid request data",
"details": [
{
"code": "too_small",
"minimum": 1,
"type": "string",
"inclusive": true,
"exact": false,
"message": "orgName is required",
"path": ["orgName"]
}
]
}
Organizations
Create Organization
Creates a new organization under a reseller
POST
/
v1
/
resellers
/
{resellerId}
/
organizations
curl -X POST "https://api.telzino.com/v1/resellers/reseller-123/organizations" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"orgName": "Acme Solar",
"external_id": "external-org-12345"
}'
const resellerId = 'reseller-123';
const response = await fetch(
`https://api.telzino.com/v1/resellers/${resellerId}/organizations`,
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
orgName: 'Acme Solar',
external_id: 'external-org-12345'
})
}
);
const organization = await response.json();
import requests
reseller_id = 'reseller-123'
response = requests.post(
f'https://api.telzino.com/v1/resellers/{reseller_id}/organizations',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'orgName': 'Acme Solar',
'external_id': 'external-org-12345'
}
)
organization = response.json()
{
"id": "org-abc12345-e89b-12d3-a456-426614174000",
"reseller_id": "reseller-123",
"name": "Acme Solar",
"external_id": "external-org-12345",
"created_at": "2024-01-15T10:30:00Z"
}
{
"error": "Invalid request data",
"details": [
{
"code": "too_small",
"minimum": 1,
"type": "string",
"inclusive": true,
"exact": false,
"message": "orgName is required",
"path": ["orgName"]
}
]
}
Path Parameters
string
required
The reseller ID to create the organization under
Request Body
string
required
Name of the organization
string
External identifier for integration with your systems
curl -X POST "https://api.telzino.com/v1/resellers/reseller-123/organizations" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"orgName": "Acme Solar",
"external_id": "external-org-12345"
}'
const resellerId = 'reseller-123';
const response = await fetch(
`https://api.telzino.com/v1/resellers/${resellerId}/organizations`,
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
orgName: 'Acme Solar',
external_id: 'external-org-12345'
})
}
);
const organization = await response.json();
import requests
reseller_id = 'reseller-123'
response = requests.post(
f'https://api.telzino.com/v1/resellers/{reseller_id}/organizations',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'orgName': 'Acme Solar',
'external_id': 'external-org-12345'
}
)
organization = response.json()
{
"id": "org-abc12345-e89b-12d3-a456-426614174000",
"reseller_id": "reseller-123",
"name": "Acme Solar",
"external_id": "external-org-12345",
"created_at": "2024-01-15T10:30:00Z"
}
{
"error": "Invalid request data",
"details": [
{
"code": "too_small",
"minimum": 1,
"type": "string",
"inclusive": true,
"exact": false,
"message": "orgName is required",
"path": ["orgName"]
}
]
}
⌘I
